/* config.h
 *
 * contains basic types and defines / config info
 */

#ifndef __CONFIG_H
#define __CONFIG_H

#ifdef CPU32
#define U8   unsigned char
#define S8   char
#define U16  unsigned short
#define S16  short
#define U32  unsigned long
#define S32  long
#define FAR
#define U16_PNT U16 *
#else
#define U8   unsigned char
#define S8   char
#define U16  unsigned
#define S16  int
#define U32  unsigned long
#define S32  long
#define FAR __far
#define U16_PNT U16 __far *
#endif

#endif
