/* crt0.S
 *
 * This is the startup code that runs out of reset.
 */

.global start
.global endloop
.global SimBackDoor

start:

	/* init stack pointer */
	move.l		#__stack, %a7

	/* turn off software watchdog here */
//	move.l	    #0xfffa20, %a0
//	clr.w	    (%a0)

	/* set clock timing to 15.991MHz */
//	move.l		#0xfffa04, %a0
//	move.w		#0x7c00, (%a0)

	/* clear bss here */
bss_clear:
	move.l		#__bss_start, %d1
	move.l		#__bss_end, %d0
	cmp.l		%d0, %d1
	beq			start_exec	/* catch 0 length case */
	move.l		%d1, %a0
	sub.l		%d1, %d0
	subq.l		#1, %d0
bss_clear_loop:
	clr.b		(%a0)+
	subq.l		#1, %d0
	bpl			bss_clear_loop

	/* start program execution */
start_exec:
	jsr			ash_main

	/* endless loop if exec() returns */
endloop:
	bra.b		endloop

//=============================================================================
//  Backdoor into the simulation environment

SimBackDoor:
__SimBackDoor:
			link.w	%a6,#-8

			// Save the A0 register unto the stack;
			move.l	%a0,(0,%sp)

			// Move the Header address into the A0 register
			move.l	(8,%a6),%a0

			// In order for this to work, this particular trap
			// Must have been assigned as the backdoor vector
			trap	#15

			// Recover the previously-saved A0 register value that
			move.l	(0,%sp),%a0

			unlk	%a6
			rtd		#4

//  END
//=============================================================================

