/**************************************************************************
* FILE NAME: etpu_init.h
* 
* DESCRIPTION: API for initializing the eTPU module
*
*========================================================================
* REV      AUTHOR      DATE        DESCRIPTION OF CHANGE                 
* ---   -----------  ----------    ---------------------                 
* 1.0     J Diener   01/Dec/11     Initial version.     
*
* $Revision: 1.1 $
*
**************************************************************************/

#ifndef __ETPU_INIT_H
#define __ETPU_INIT_H

#include "typedefs.h"

#ifdef __cplusplus
extern "C" {
#endif

/****************************************************************
 * eTPU module initialization
 *
 * Returns failure code, or pass (0).
 ****************************************************************/
uint32_t aw_etpu_init();

#ifdef __cplusplus
}
#endif

#endif // __ETPU_INIT_H
