setlocal
echo off

rem THIS IS FOR ASH WARE TESTING ONLY!
set EXE="..\..\..\..\Gui\Testfiles\mtdt.exe"
if exist %EXE% goto SimFound
rem THIS IS FOR CUSTOMER TESTING!
rem (Customer must have purchased an eTPU Simulator or similar)
set EXE="C:\Program Files\ASH WARE\eTPU Simulator\ETpuSimulator.exe"
if exist %EXE% goto SimFound
set EXE="C:\Program Files\ASH WARE\eTPU2 Simulator\ETpu2Simulator.exe"
if exist %EXE% goto SimFound
set EXE="C:\Program Files\ASH WARE\eTPU System Simulator\ETpuSysSimulator.exe"
if exist %EXE% goto SimFound
set EXE="C:\Program Files\ASH WARE\eTPU2 System Simulator\ETpu2SysSimulator.exe"
if exist %EXE% goto SimFound
echo .
echo ****************************************
echo !!! ERROR, ERROR, ERROR !!!
echo !!! Unable to find the eTPU simulator!!!
echo You will need to edit the RTest.bat file
echo ****************************************
echo .
pause
:SimFound

echo -------------------------------------------
echo Running I2C Single-Target Tests ...

echo .
echo Mtdt:         %EXE%
echo CmdLineArgs:  %1  %2  %3  %4
echo .

echo Deleting coverage data, etc ...
del  *.CoverageData,*.report,OutputWindowDump.log  /Q

echo Running "WriteTest" ...
%EXE% -pProj_mtdt.ETpuSimProject -sWriteTest.ETpuCommand -AutoRun -IAcceptLicense %1 %2 %3 %4
if  %ERRORLEVEL% NEQ 0 ( goto errors )

echo Running "ReadTest" ...
%EXE% -pProj_mtdt.ETpuSimProject -sReadTest.ETpuCommand -AutoRun -IAcceptLicense %1 %2 %3 %4
if  %ERRORLEVEL% NEQ 0 ( goto errors )

echo Running "ReadTestCoverage" ...
%EXE% -pProj_mtdt.ETpuSimProject -sReadTestCoverage.ETpuCommand -AutoRun -IAcceptLicense %1 %2 %3 %4
if  %ERRORLEVEL% NEQ 0 ( goto errors )

echo Running "CombinedTest" ...
%EXE% -pProj_mtdt.ETpuSimProject -sCombinedTest.ETpuCommand -AutoRun -IAcceptLicense %1 %2 %3 %4
if  %ERRORLEVEL% NEQ 0 ( goto errors )

echo Running "TimingTest" ...
%EXE% -pProj_mtdt.ETpuSimProject -sTimingTest.ETpuCommand -AutoRun -IAcceptLicense %1 %2 %3 %4
if  %ERRORLEVEL% NEQ 0 ( goto errors )

echo Running "MultiSlaveTest" ...
%EXE% -pProj_mtdt.ETpuSimProject -sMultiSlaveTest.ETpuCommand -AutoRun -IAcceptLicense %1 %2 %3 %4
if  %ERRORLEVEL% NEQ 0 ( goto errors )

echo Running "AddressTest" ...
%EXE% -pProj_mtdt.ETpuSimProject -sAddressTest.ETpuCommand -AutoRun -IAcceptLicense %1 %2 %3 %4
if  %ERRORLEVEL% NEQ 0 ( goto errors )

echo Running "ClockStretchTest" ...
%EXE% -pProj_mtdt.ETpuSimProject -sClockStretchTest.ETpuCommand -AutoRun -IAcceptLicense %1 %2 %3 %4
if  %ERRORLEVEL% NEQ 0 ( goto errors )

echo Running "MasterErrorTest" ...
%EXE% -pProj_mtdt.ETpuSimProject -sMasterErrorTest.ETpuCommand -AutoRun -IAcceptLicense %1 %2 %3 %4
if  %ERRORLEVEL% NEQ 0 ( goto errors )

echo Running "SlaveErrorTest" ...
%EXE% -pProj_mtdt.ETpuSimProject -sSlaveErrorTest.ETpuCommand -AutoRun -IAcceptLicense %1 %2 %3 %4
if  %ERRORLEVEL% NEQ 0 ( goto errors )

echo Test for 100 percent code coverage...
%EXE% -pProj_mtdt.ETpuSimProject -sCoverageTest.ETpuCommand -AutoRun -IAcceptLicense %1 %2 %3 %4
if  %ERRORLEVEL% NEQ 0 ( goto errors )

echo .
echo All I2C Single-Target Tests Pass

goto end
:errors
echo *************************************************
echo        YIKES, WE GOT ERRORS!!
echo *************************************************
exit /b -1
:end
exit /b 0
