setlocal
echo off

rem THIS IS FOR ASH WARE TESTING ONLY!
set EXE="..\..\..\..\Gui\Testfiles\mtdt.exe"
if exist %EXE% goto exe_found
rem THIS IS FOR CUSTOMER TESTING!
rem (Customer must have purchased a system simulator)
set EXE="C:\Program Files\ASH WARE\eTPU System Simulator\ETpuSysSimulator.exe"
if exist %EXE% goto exe_found
set EXE="C:\Program Files\ASH WARE\eTPU2 System Simulator\ETpu2SysSimulator.exe"
if exist %EXE% goto exe_found
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo    UNABLE TO FIND SYSTEM SIMULATOR
echo    CANNOT RUN SYSTEM TEST
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
prompt

:exe_found

echo .
echo -------------------------------------------
echo Running I2C System Tests ...

echo .
echo Mtdt:         %EXE%
echo CmdLineArgs:  %1  %2  %3  %4
echo .

echo Deleting coverage data, etc ...
del *.CoverageData,*.report,OutputWindowDump.log /Q

echo Running Main/Base Test ...
%EXE% -pProjMain_mtdt.ETpuSysSimProject         -AutoRun -IAcceptLicense %1 %2 %3 %4
if  %ERRORLEVEL% NEQ 0 ( goto errors )

echo Running Master/Slave Error/Fail Tests ...
%EXE% -pProjMasterSlave_mtdt.ETpuSysSimProject  -AutoRun -IAcceptLicense %1 %2 %3 %4
if  %ERRORLEVEL% NEQ 0 ( goto errors )

echo .
echo All I2C System Tests Pass

goto end
:errors
echo *************************************************
echo        YIKES, WE GOT ERRORS!!
echo *************************************************
exit /b -1
:end
exit /b 0
